package kb7.wsm;


import java.io.*;
import java.util.Enumeration;
import gnu.mapping.*;


public final class EnvironmentSupport
{
  public static final String bindingsToString( Environment e )
  {
    StringWriter sw = new StringWriter();
    PrintWriter pw = new PrintWriter( sw ); 
    BindingEnumeration bindings = e.enumerateBindings();
    while ( bindings.hasMoreElements() ) {
      Binding b = (Binding)bindings.nextElement();
      b.print( pw ); 
      pw.println();
    }
    return sw.toString();
  }


  public static final String allBindingsToString( Environment e )
  {
    StringWriter sw = new StringWriter();
    PrintWriter pw = new PrintWriter( sw ); 
    BindingEnumeration bindings = e.enumerateAllBindings();
    while ( bindings.hasMoreElements() ) {
      Binding b = (Binding)bindings.nextElement();
      b.print( pw ); 
      pw.println();
    }
    return sw.toString();
  }
}
