/* PageSyntaxException.java */

package kb7.wsm;

public class PageSyntaxException extends WSMException
{
  private String filename;

  public PageSyntaxException( String filename, String error )
  {
    super( "The page file " + filename + " had syntax errors: " + error + "." ); 
    this.filename = filename;
  }

  public final String getFilename()
  { return this.filename; }

  public final String getErrorType()
  { return "Syntax error in page file"; }
}
