/* Quadruple.java */


package kb7.structures;


/**
 * This class implements an ordered quadruple.
 */
public class Quadruple
       implements java.io.Serializable // So we can output it.
{
  private static final long serialVersionUID = 1000;


  private Object first=null, second=null, third=null, fourth=null;


  public Quadruple()
  {
  }

  public Quadruple( Object first, Object second, Object third, Object fourth )
  {
    this.first = first;
    this.second = second;
    this.third = third;
    this.fourth = fourth;
  }


  public final Object getFirst()
  { return this.first; }

  public final Object getSecond()
  { return this.second; }

  public final Object getThird()
  { return this.third; }
 
  public final Object getFourth()
  { return this.fourth; }


  public final void setFirst( Object first )
  { this.first = first; }

  public final void setSecond( Object second )
  { this.second = second; }

  public final void setThird( Object third )
  { this.third = third; }

  public final void setFourth( Object fourth )
  { this.fourth = fourth; }


  public final String toString()
  {
    return "<" + this.first + "," + this.second + "," + 
                 this.third + "," + this.fourth +
           ">";
  }
}
