/* Triple.java */


package kb7.structures;


/**
 * This class implements an ordered triple.
 */
public class Triple
{
  private Object first=null, second=null, third=null;


  public Triple()
  {
  }

  public Triple( Object first, Object second, Object third )
  {
    this.first = first;
    this.second = second;
    this.third = third;
  }


  public Object getFirst()
  { return this.first; }

  public Object getSecond()
  { return this.second; }

  public Object getThird()
  { return this.third; }


  public void setFirst( Object first )
  { this.first = first; }

  public void setSecond( Object second )
  { this.second = second; }

  public void setThird( Object third )
  { this.third = third; }


  public String toString()
  {
    return "<" + this.first + "," + this.second + "," + this.third + ">";
  }
}
