/* FieldOutputFunction.java */


package kb7.io;


/**
 * Defines an abstract method 'output'. AsciiObjectOutputWriter
 * applies this to every field it outputs. If it returns a non-null
 * result, it will use that in place of its own conversion
 * of the field to string.
 */
public abstract class FieldOutputFunction 
{
  public abstract String output( Class klass, String field_name, Object value );
}
