/* SemanticNote.java */


package kb7.lister;


import java.util.Vector;


/** 
 * This class represents a semantic note, one detected by some part
 * of the compiler other than JavaCC.
 */
public class SemanticNote extends SourceNote
{
  protected String message;
  // Constructors will set this to the note message.


  /** 
   * Overridden to work in terms of message.
   */
  public final Vector toStrings()
  {
    Vector v = new Vector();
    v.addElement( "Note: " + this.message );
    return v;
  }
}
