/* MultipleMatchFailures.java */

package kb7.matcher;

import kb7.structures.Set;


/**
 * This class extends MatchFailure so that we can return several
 * match failures at once.
 */
public class MultipleMatchFailures extends MatchFailure
{
  private Set failures;
  // Set of MatchFailure;


  public MultipleMatchFailures( Set failures )
  { this.failures = failures; }


  public Set getFailures()
  { return this.failures; }


  public final String toDisplay()
  {
    return toString();
  }

  public final String toString()
  {
    return "[MultipleMatchFailures " + this.failures + " ]";
  }  
}
