/* BasicWindowMonitor.java */

package kb7.swing;

import java.awt.event.*;
import java.awt.Window;

/**
 * This utility allows a window to be closed when the
 * normal command is given. It is taken from "Java Swing" 
 * by Robert Eckstein, Marc Loy and Dave Wood (O'Reilly). 
 * To use it, call f.addWindowListener( new BasicWindowMonitor() )
 * where f is a frame.
 */
public class BasicWindowMonitor extends WindowAdapter
{
  public void windowClosing( WindowEvent ev )
  {
    Window w = ev.getWindow();
    w.setVisible( false );
    w.dispose();
    System.exit(0);
  }
}
