/* Vector.java */


package kb7.vectors;

import java.util.Vector;


/**
 * This class defines various utilities on vectors.
 * At the moment, there are constructors to simplify
 * creating lists of menu options and such things,
 * and a method for appending two vectors.
 */
public final class Vectors
{
  public static Vector v( Object o )
  {
    Vector v = new Vector();
    v.addElement( o );
    return v;
  }

  public static Vector v( Object o1, Object o2 )
  {
    Vector v = new Vector();
    v.addElement( o1 ); v.addElement( o2 );
    return v;
  }

  public static Vector v( Object o1, Object o2, Object o3 )
  {
    Vector v = new Vector();
    v.addElement( o1 ); v.addElement( o2 ); v.addElement( o3 );
    return v;
  }

  public static Vector v( Object o1, Object o2, Object o3, Object o4 )
  {
    Vector v = new Vector();
    v.addElement( o1 ); v.addElement( o2 ); v.addElement( o3 ); v.addElement( o4 );
    return v;
  }

  public static Vector v( Object o1, Object o2, Object o3, Object o4, Object o5 )
  {
    Vector v = new Vector();
    v.addElement( o1 ); v.addElement( o2 ); v.addElement( o3 ); v.addElement( o4 ); v.addElement( o5 );
    return v;
  }  

  public static Vector v( Object o1, Object o2, Object o3, Object o4, Object o5, 
                          Object o6 )
  {
    Vector v = v( o1, o2, o3, o4, o5 );
    v.addElement( o6 );
    return v;
  }  

  public static Vector v( Object o1, Object o2, Object o3, Object o4, Object o5, 
                          Object o6, Object o7 )
  {
    Vector v = v( o1, o2, o3, o4, o5 );
    v.addElement( o6 ); v.addElement( o7 );
    return v;
  }  

  public static Vector v( Object o1, Object o2, Object o3, Object o4, Object o5, 
                          Object o6, Object o7, Object o8 )
  {
    Vector v = v( o1, o2, o3, o4, o5 );
    v.addElement( o6 ); v.addElement( o7 ); v.addElement( o8 );
    return v;
  }  

  public static Vector v( Object o1, Object o2, Object o3, Object o4, Object o5, 
                          Object o6, Object o7, Object o8, Object o9 )
  {
    Vector v = v( o1, o2, o3, o4, o5 );
    v.addElement( o6 ); v.addElement( o7 ); v.addElement( o8 ); v.addElement( o9 );
    return v;
  }  

  public static Vector v( Object o1, Object o2, Object o3, Object o4, Object o5, 
                          Object o6, Object o7, Object o8, Object o9, Object o10 )
  {
    Vector v = v( o1, o2, o3, o4, o5 );
    v.addElement( o6 ); v.addElement( o7 ); v.addElement( o8 ); v.addElement( o9 ); v.addElement( o10 );
    return v;
  }


  /**
   * Appends post to pre.
   */
  public final static void append( Vector pre, Vector post )
  {
    for ( int i=0; i<post.size(); i++ ) {
      pre.addElement( post.elementAt(i) );
    }
  }
}



