/* PageNotFoundException.java */

package kb7.wsm;

public class PageNotFoundException extends WSMException
{
  private String filename;

  public PageNotFoundException( String filename )
  {
    super( "The page file " + filename + " could not be found." ); 
    this.filename = filename;
  }

  public final String getFilename()
  { return this.filename; }

  public final String getErrorType()
  { return "Page file not found"; }
}
