(module-name 'TestPage)

(module-static #t)

(require <kb7.wsm.PageFileToFunction>)


; Tests a page by converting to its function
; and calling that on args, sending the result
; to current output. 
;
(define (test-page (filename <string>)
                   #!rest args) <void>
  (let ( (fn (page-file-to-function filename))
         )
    (display (apply fn args))
  )
)


; As test-page, but writes the output to to-file.
;
(define (test-page-to-file (to-file <string>)
                           (filename <string>)
                           #!rest args) <void>
  (with-output-to-file to-file
                       (lambda ()
                         (display (apply test-page `(,filename ,@args)) )
                       )
  )
)
