/* Pair.java */


package kb7.structures;


/**
 * This class implements an ordered pair.
 */
public class Pair implements java.io.Serializable
{
  private Object first=null, second=null;


  public Pair()
  {
  }

  public Pair( Object first, Object second )
  {
    this.first = first;
    this.second = second;
  }


  public Object getFirst()
  { return this.first; }

  public Object getSecond()
  { return this.second; }


  public void setFirst( Object first )
  { this.first = first; }

  public void setSecond( Object second )
  { this.second = second; }


  public String toString()
  {
    return "<" + this.first + "," + this.second + ">";
  }
}
