/* RealPair.java */


package kb7.structures;


/**
 * This class implements an ordered pair of reals.
 */
public class RealPair
             implements java.io.Serializable
{
  private static final long serialVersionUID = 1000;


  private double first=0, second=0;


  public RealPair()
  {
  }

  public RealPair( double first, double second )
  {
    this.first = first;
    this.second = second;
  }


  public double getFirst()
  { return this.first; }

  public double getSecond()
  { return this.second; }


  public void setFirst( int first )
  { this.first = first; }

  public void setSecond( int second )
  { this.second = second; }


  public String toString()
  {
    return "<" + this.first + "," + this.second + ">";
  }
}
