/* SemanticWarning.java */


package kb7.lister;


import java.util.Vector;


/** 
 * This class represents a semantic warning, one detected by some part
 * of the compiler other than JavaCC.
 */
public class SemanticWarning extends SourceWarning
{
  protected String message;
  // Constructors will set this to the warning message.


  /** 
   * Overridden to work in terms of message.
   */
  public final Vector toStrings()
  {
    Vector v = new Vector();
    v.addElement( "Warning: " + this.message );
    return v;
  }
}