/* StringAnnotation.java */


package kb7.lister;
import java.util.Vector;


/**
 * This class is a simple implementation of Annotation
 * that returns a one-line message.
 */
public class StringAnnotation extends Annotation
{
  private String message;


  public StringAnnotation( String message )
  { this.message = message; }


  /**
   * Returns a one-element vector containing the string
   * with which the instance was constructed.
   */
  public Vector toStrings()
  {
    Vector v = new Vector();
    v.addElement(this.message);
    return v;
  }
}

