/* VectorAnnotation.java */


package kb7.lister;
import java.util.Vector;


/**
 * This class is a simple implementation of Annotation
 * that returns a vector supplied verbatim.
 */
public class VectorAnnotation extends Annotation
{
  private Vector message;


  public VectorAnnotation( Vector message )
  { this.message = message; }


  /**
   * Returns the vector 
   * with which the instance was constructed.
   */
  public Vector toStrings()
  {
    return this.message;
  }
}

