/* IntegerPair.java */


package kb7.structures;


/**
 * This class implements an ordered pair of integers.
 */
public class IntegerPair
             implements java.io.Serializable
{
  private static final long serialVersionUID = 1000;


  private int first=0, second=0;


  public IntegerPair()
  {
  }

  public IntegerPair( int first, int second )
  {
    this.first = first;
    this.second = second;
  }


  public int getFirst()
  { return this.first; }

  public int getSecond()
  { return this.second; }


  public void setFirst( int first )
  { this.first = first; }

  public void setSecond( int second )
  { this.second = second; }


  public String toString()
  {
    return "<" + this.first + "," + this.second + ">";
  }
}
