(module-name 'Environments)

(module-static #t)

(require <kb7.wsm.EnvironmentSupport>)

(define (current-environment) <gnu.mapping.Environment>
  (invoke-static <gnu.mapping.Environment> 'getCurrent)
)

(define (environment-bindings->string (e <gnu.mapping.Environment>)) <string>
  (string-append (invoke-static <kb7.wsm.EnvironmentSupport> 'bindingsToString e))
)

(define (environment-all-bindings->string (e <gnu.mapping.Environment>)) <string>
  (string-append (invoke-static <kb7.wsm.EnvironmentSupport> 'allBindingsToString e))
)

(define (environment-add-source-file! (e <gnu.mapping.Environment>)
                                      (filename <string>)) <gnu.mapping.Environment>
  (invoke-static <kawa.standard.load> 'loadSource filename e)
  e
)

(define (environment-add-module! (e <gnu.mapping.Environment>)
                                 (module <gnu.bytecode.Type>)) <gnu.mapping.Environment>
  (invoke-static <gnu.kawa.reflect.ClassMemberConstraint> 'defineAll
                                                          (make module)
                                                          e
  )
  e
)

(define (environment-add-binding! (e <gnu.mapping.Environment>)
                                  (name <symbol>)
                                  value) <gnu.mapping.Environment>
  (invoke e 'addBinding name value)
  e  
)
